Skip to main content
GET
/
contas-receber
/
{idContaReceber}
Obter conta a receber
curl --request GET \
  --url https://api.tiny.com.br/public-api/v3/contas-receber/{idContaReceber} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "situacao": "aberto",
  "data": "2024-01-01",
  "dataVencimento": "2024-01-01",
  "dataCompetencia": "2024-01",
  "dataLiquidacao": "<string>",
  "diaVencimento": 123,
  "diaSemanaVencimento": 0,
  "numeroDocumento": "<string>",
  "serieDocumento": "<string>",
  "numeroBanco": "<string>",
  "ocorrencia": "U",
  "quantidadeParcelas": 123,
  "valor": 123,
  "saldo": 123,
  "taxa": 123,
  "juros": 123,
  "multa": 123,
  "valorPago": 123,
  "cliente": {
    "nome": "<string>",
    "codigo": "<string>",
    "fantasia": "<string>",
    "tipoPessoa": "J",
    "cpfCnpj": "<string>",
    "inscricaoEstadual": "<string>",
    "rg": "<string>",
    "telefone": "<string>",
    "celular": "<string>",
    "email": "<string>",
    "endereco": {
      "endereco": "<string>",
      "numero": "<string>",
      "complemento": "<string>",
      "bairro": "<string>",
      "municipio": "<string>",
      "cep": "<string>",
      "uf": "<string>",
      "pais": "<string>"
    },
    "id": 123
  },
  "categoria": {
    "id": 123,
    "descricao": "<string>"
  },
  "formaRecebimento": {
    "id": 123,
    "nome": "<string>"
  },
  "historico": "<string>",
  "linkBoleto": "<string>",
  "quantidadeParcelasAntecipadas": 123
}

Path Parameters

idContaReceber
integer
required

Identificador da conta receber

Response

OK

id
integer | null
situacao
enum<string> | null
  • aberto - Aberto
  • cancelada - Cancelada
  • pago - Pago
  • parcial - Parcial
  • prevista - Prevista
  • atrasadas - Atrasadas
  • emissao - Emissao
Available options:
aberto,
cancelada,
pago,
parcial,
prevista,
atrasadas,
emissao
data
string | null
Example:

"2024-01-01"

dataVencimento
string | null
Example:

"2024-01-01"

dataCompetencia
string | null
Example:

"2024-01"

dataLiquidacao
string | null
diaVencimento
integer | null
diaSemanaVencimento
enum<integer> | null
  • 0 - Domingo
  • 1 - Segunda
  • 2 - Terca
  • 3 - Quarta
  • 4 - Quinta
  • 5 - Sexta
  • 6 - Sabado
Available options:
0,
1,
2,
3,
4,
5,
6
numeroDocumento
string | null
serieDocumento
string | null
numeroBanco
string | null
ocorrencia
enum<string> | null
  • U - Unica
  • W - Semanal
  • Q - Quinzenal
  • M - Mensal
  • T - Trimestral
  • S - Semestral
  • A - Anual
  • P - Parcelada
Available options:
U,
W,
Q,
M,
T,
S,
A,
P
quantidadeParcelas
integer | null
valor
number<float> | null
saldo
number<float> | null
taxa
number<float> | null
juros
number<float> | null
multa
number<float> | null
valorPago
number<float> | null
cliente
· object
categoria
· object
formaRecebimento
· object
historico
string | null
quantidadeParcelasAntecipadas
integer | null